### Method

# Snapd SystemInformation get_architecture

since: 1.64

#### Declaration [src]

    const gchar*
    snapd_system_information_get_architecture (
      SnapdSystemInformation* system_information
    )

#### Description [src]

Get the architecture this system is using, e.g. “amd64”.

Available since: 1.64

Gets property | `Snapd.SystemInformation:architecture`

#### Return value

Type: `const gchar*`

An architecture.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.